# Update payment link

Route to update payment link.

⚠️ Note: It will not be possible to update the payment link if there is a sale.

Endpoint: PATCH /payment-links/{paymentLinkId}
Version: 1.0

## Path parameters:

  - `paymentLinkId` (string, required)

## Header parameters:

  - `x-api-key` (string, required)
    Api key provided on integrations tab in Easyflow platform.

  - `x-api-secret` (string, required)
    Api Secret provided on integrations tab in Easyflow platform.

  - `business-id` (string, required)
    Business Identifier

## Request fields (application/json):

  - `name` (string, required)

  - `description` (string, required)

  - `valueInCents` (integer, required)

  - `checkoutTemplateId` (string)

  - `preference` (object)

  - `preference.showSellerName` (boolean)

  - `preference.requestAddress` (boolean)

  - `preference.acceptNaturalPersonBuyer` (boolean)

  - `preference.acceptCorporationBuyer` (boolean)

  - `preference.requestDeliveryAddress` (boolean)

  - `paymentConfiguration` (object)

  - `paymentConfiguration.creditCard` (object)

  - `paymentConfiguration.creditCard.defaultInstallments` (integer)

  - `paymentConfiguration.creditCard.maxInstallments` (integer)

  - `paymentConfiguration.billet` (object)

  - `paymentConfiguration.billet.dueDateDelay` (integer)

  - `paymentConfiguration.pix` (object)

  - `paymentConfiguration.pix.expirationInMinutes` (integer)

## Response 200 fields (application/json):

  - `statusCode` (integer)
    Example: 200

  - `data` (object)

  - `data.updated` (boolean)

## Response 400 fields (application/json):

  - `message` (string)
    Invalid param: []
    Example: "Invalid param: []"

  - `error` (string)
    Bad Request
    Example: "Bad Request"

  - `statusCode` (integer)
    400
    Example: 400

## Response 401 fields (application/json):

  - `message` (string)
    Invalid field
    Example: "Unauthorized"

  - `error` (string)
    Unauthorized
    Example: "Unauthorized"

  - `statusCode` (integer)
    401
    Example: 401

## Response 403 fields (application/json):

  - `message` (string)
    Forbidden resource
    Example: "Forbidden resource"

  - `error` (string)
    Forbidden
    Example: "Forbidden"

  - `statusCode` (integer)
    403
    Example: 403

## Response 500 fields (application/json):

  - `message` (string)
    Internal server error
    Example: "Internal server error"

  - `error` (string)
    Internal Server Error
    Example: "Internal Server Error"

  - `statusCode` (integer)
    500
    Example: 500


